MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
float/traj.h File Reference

Contains public interface to various functions related to the trajectory (TRAJ) object. More...

`#include "sw/modules/types/src/types.h"`
`#include "sw/modules/math/src/float/math.h"`

Go to the source code of this file.

## Data Structures
struct | _TRAJ_Obj_
| Defines the trajectory (TRAJ) object. More...

## Typedefs
typedef struct _TRAJ_Obj_ | TRAJ_Obj
| Defines the trajectory (TRAJ) object. More...
typedef struct _TRAJ_Obj_ * | TRAJ_Handle
| Defines the TRAJ handle. More...

## Functions
static float_t | TRAJ_getIntValue (TRAJ_Handle handle)
| Gets the intermediate value for the trajectory. More...
static float_t | TRAJ_getMaxDelta (TRAJ_Handle handle)
| Gets the maximum delta value for the trajectory. More...
static float_t | TRAJ_getMaxValue (TRAJ_Handle handle)
| Gets the maximum value for the trajectory. More...
static float_t | TRAJ_getMinValue (TRAJ_Handle handle)
| Gets the minimum value for the trajectory. More...
static float_t | TRAJ_getTargetValue (TRAJ_Handle handle)
| Gets the target value for the trajectory. More...
TRAJ_Handle | TRAJ_init (void *pMemory, const size_t numBytes)
| Initializes the trajectory (TRAJ) object. More...
static void | TRAJ_setIntValue (TRAJ_Handle handle, const float_t intValue)
| Sets the intermediate value for the trajectory. More...
static void | TRAJ_setMaxDelta (TRAJ_Handle handle, const float_t maxDelta)
| Sets the maximum delta value for the trajectory. More...
static void | TRAJ_setMaxValue (TRAJ_Handle handle, const float_t maxValue)
| Sets the maximum value for the trajectory. More...
static void | TRAJ_setMinValue (TRAJ_Handle handle, const float_t minValue)
| Sets the minimum value for the trajectory. More...
static void | TRAJ_setTargetValue (TRAJ_Handle handle, const float_t targetValue)
| Sets the target value for the trajectory. More...
static void | TRAJ_run (TRAJ_Handle handle)
| Runs the trajectory (TRAJ) object. More...

## Detailed Description

Contains public interface to various functions related to the trajectory (TRAJ) object.

(C) Copyright 2014, Texas Instruments, Inc.

Definition in file float/traj.h.

## Function Documentation

static float_t TRAJ_getIntValue | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the intermediate value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The intermediate value

Definition at line 92 of file float/traj.h.

References _TRAJ_Obj_::intValue.

Referenced by TRAJ_run().

static float_t TRAJ_getMaxDelta | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the maximum delta value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The maximum delta value

Definition at line 103 of file float/traj.h.

References _TRAJ_Obj_::maxDelta.

Referenced by TRAJ_run().

static float_t TRAJ_getMaxValue | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the maximum value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The maximum value

Definition at line 114 of file float/traj.h.

References _TRAJ_Obj_::maxValue.

Referenced by TRAJ_run().

static float_t TRAJ_getMinValue | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the minimum value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The minimum value

Definition at line 125 of file float/traj.h.

References _TRAJ_Obj_::minValue.

Referenced by TRAJ_run().

static float_t TRAJ_getTargetValue | ( | TRAJ_Handle | handle | ) |
| inline static

Gets the target value for the trajectory.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Returns
  The target value

Definition at line 136 of file float/traj.h.

References _TRAJ_Obj_::targetValue.

Referenced by TRAJ_run().

static void TRAJ_run | ( | TRAJ_Handle | handle | ) |
| inline static

Runs the trajectory (TRAJ) object.

Parameters

  [in] | handle | The trajectory (TRAJ) handle

Definition at line 218 of file float/traj.h.

References _TRAJ_Obj_::intValue, MATH_sat(), _TRAJ_Obj_::maxDelta, _TRAJ_Obj_::maxValue, _TRAJ_Obj_::minValue, _TRAJ_Obj_::targetValue, TRAJ_getIntValue(), TRAJ_getMaxDelta(), TRAJ_getMaxValue(), TRAJ_getMinValue(), TRAJ_getTargetValue(), and TRAJ_setIntValue().